Admin/Update Webhook
PUT /v1/admin/webhooks/{id}

Update Webhook

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/admin/webhooks/{id} \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "webhook": {
         "url": "https://example.com/webhooks/updated",
         "version": 1,
         "resources": {
           "call": [
             "finished"
           ]
         },
         "headers": {
           "X-Custom-Token": "new-token"
         }
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
id string required in path
Webhook ID

Response

webhook▾
object
id
string Unique identifier of the webhook.
url
string Destination endpoint URL.
version
integer Schema version of the event payloads.
resources
object Subscribed resources and action event names.
auth_type
string | null Authentication method used for request signing.
status
string Current operating status of the webhook.
created_at
string ISO-8601 timestamp of creation.
updated_at
string ISO-8601 timestamp of last update.